
function x = gpu_Coordinate_Descent(B,b,x0,lambda,alpha,maxiter)

x = x0;
for i = 1:maxiter
    g = B * x + b;
    d = g - x;
    dx = (-d-lambda) .* ( d < -lambda ) + (-d+lambda) .* ( d > lambda );
    p = -x + dx;
    x = x + alpha * p;
    GPUsync;
end
